diff --git a/INSTALL b/INSTALL
index 2e9c86e..dac661e 100644
--- a/INSTALL
+++ b/INSTALL
@@ -42,7 +42,7 @@ The included Makefile allows to run all the tests included in the
 distribution. Just use:
 
     make
-    make runtests
+    make check
 
 The tests are run against a database called psycopg2_test on unix socket
 and standard port. You can configure a different database to run the test
diff --git a/psycopg/connection_int.c b/psycopg/connection_int.c
index 882b0ef..17faf98 100644
--- a/psycopg/connection_int.c
+++ b/psycopg/connection_int.c
@@ -69,6 +69,9 @@ conn_notice_callback(void *args, const char *message)
     */
     notice = (struct connectionObject_notice *)
         malloc(sizeof(struct connectionObject_notice));
+    if (notice == NULL) {
+        return PyErr_NoMemory();
+    }
     notice->message = strdup(message);
     notice->next = self->notice_pending;
     self->notice_pending = notice;
